Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163536 - ccs should depend on magma-plugins
Summary: ccs should depend on magma-plugins
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ccs
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 18:02 UTC by Axel Thimm
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.0.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 05:25:07 UTC


Attachments (Terms of Use)

Description Axel Thimm 2005-07-18 18:02:18 UTC
Description of problem:
Installation of ccs w/o magma-plugins results in ccsd returning:
# ccsd
Failed to connect to cluster manager.
Hint: Magma plugins are not in the right spot.


Version-Release number of selected component (if applicable):
ccs-1.0.0-1

How reproducible:
always

Steps to Reproduce:
1.Have a minimal FC4 install, or any install w/o magma-plugins
2.Install ccs
3.Try to start ccsd (/etc/init.d/ccsd start)
  
Actual results:
see above

Expected results:
should start the ccsd daemon

Additional info:

Comment 1 Jonathan Earl Brassow 2005-07-20 00:05:51 UTC
CCS relies on magma, and shouldn't have to worry about the mechanisms by which
magma provides its services.

The resolution is to make magma require magma-plugins.  The dependency chain
will cause all appropriate packages to be installed.

Comment 2 Chris Feist 2005-07-20 18:54:30 UTC
ccs requires magma, and magma has been modified to require magma-plugins.  So in
effect ccs will require magma-plugins.  This should be present in magma-1.0.1-1
and beyond.


Note You need to log in before you can comment on or make changes to this bug.